package nxm.sys.test;

import nxm.sys.lib.Primitive;

/** This primitive is used expressly for the testing of argument abbreviations.

    @author  Jay Hallam
    @since   NeXtMidas 2.5.5
*/
public class argabbrev extends Primitive {

  /** default constructor */
  public argabbrev () {}

  public int open() {

    String res_prefix = MA.getS("PREFIX","ARGABBREV_");
//    System.out.println("CM   input: '"+MA.getS("CM")+"'");
//    System.out.println("CMAP input: '"+MA.getS("CMAP"));
    MR.put(res_prefix+"CM", MA.getS("CM"));
    MR.put(res_prefix+"CMAP", MA.getS("CMAP"));

    return NORMAL;
  }

  public int process() {
    return FINISH;
  }

  public int close() {
    return NORMAL;
  }

}
